#include "soft_led.h"


void SET_RED_LED()
{
	HAL_GPIO_WritePin(GPIOB, LED_R_Pin, GPIO_PIN_SET);
}

void SET_GREEN_LED()
{
	HAL_GPIO_WritePin(GPIOB, LED_G_Pin, GPIO_PIN_SET);
}

void SET_BLUE_LED()
{
	HAL_GPIO_WritePin(GPIOB, LED_B_Pin, GPIO_PIN_SET);
}

void RESET_RED_LED()
{
	HAL_GPIO_WritePin(GPIOB, LED_R_Pin, GPIO_PIN_RESET);
}

void RESET_GREEN_LED()
{
	HAL_GPIO_WritePin(GPIOB, LED_G_Pin, GPIO_PIN_RESET);
}

void RESET_BLUE_LED()
{
	HAL_GPIO_WritePin(GPIOB, LED_B_Pin, GPIO_PIN_RESET);
}


GPIO_PinState READ_RED_LED()
{
	return HAL_GPIO_ReadPin(GPIOB, LED_R_Pin);
}

GPIO_PinState READ_GREEN_LED()
{
	return HAL_GPIO_ReadPin(GPIOB, LED_G_Pin);
}

GPIO_PinState READ_BLUE_LED()
{
	return HAL_GPIO_ReadPin(GPIOB, LED_B_Pin);
}

